Bug 178350 - 2.6.15-1.1861_FC5 disables IP networking on e1000 ethernet interface
2.6.15-1.1861_FC5 disables IP networking on e1000 ethernet interface
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-19 14:32 EST by Jason Vas Dias
Modified: 2007-11-30 17:11 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-20 13:24:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Vas Dias 2006-01-19 14:32:02 EST
Description of problem:

The ISC DHCP client, dhclient, (and all IP networking) is disabled with
2.6.15-1.1861_FC5 on an e1000 ethernet interface .

Using the e1000 driver on an IBM Thinkpad T41, updated to latest Rawhide
of 20060119, and connecting the eth0 (e1000) ethernet interface via crossover
cable to a DHCP server, and starting the dhclient, while running a tcpdump
on the server, I see incoming packets from the client, and outgoing responses
from the server, but dhclient receives no packets from the server.

Running tcpdump on the client shows no incoming packets, even though tcpdump
on the server shows outgoing packets.

Running kernel-2.6.15-1859_FC5, there are no such problems.

This could be a problem with LPF (Linux Packet Filter) in 1861, which dhclient
uses to receive packets.

Version-Release number of selected component (if applicable):
kernel-2.6.15-1.1861_FC5

How reproducible:
100%

Steps to Reproduce:

1. Boot into single-user mode

2. Ensure there is no confusion between eth0 (e1000) and eth1 (airo):
   # rmmod -f airo
   # rmmod -f eth0
   # modprobe e1000
   # modprobe airo
   # ifconfig -a
   Then ensure eth0 has correct ethernet address .

3. Connect cross-over cable or dedicated hub between DHCP server and client

4. # setenforce 0
   # dhclient -lf /var/lib/dhclient/dhclient-eth0.leases -pf
/var/run/dhclient-eth0.pid -1 eth0
   Internet Systems Consortium DHCP Client... etc. etc. ...
   Listening on LPF/eth0/00:0d:60:cf:98:e3
   Sending on LPF/eth0/00:0d:60:cf:98:e3
   ...
   DHCPDISCOVER on eth0 to 255.255.255.255 port 67
   DHCPDISCOVER on eth0 to 255.255.255.255 port 67
   DHCPDISCOVER on eth0 to 255.255.255.255 port 67
   DHCPDISCOVER on eth0 to 255.255.255.255 port 67
   ...
   (no packets are received).  
  
Actual results:

On the server, running tcpdump shows incoming packets from the dhclient, and
outgoing packets from the server; but the dhclient never receives any packets;
a tcpdump on the client shows no incoming packets.

Also, configuring eth0 with a static IP address on the same subnet as the
server, and 'ping'-ing the server, running tcpdump on the server shows ARP
who-has requests from the client, and ARP is-at replies from the server, but 
no IP ICMP requests or replies .

Conclusion: IP networking is hosed with 2.6.15-1.1861_FC5 .

Expected results:

kernel should allow IP packets to be sent AND RECEIVED on an ethernet interface.

Additional info:
System is here at Red Hat Westford and available for kernel maintainers to 
have a look.
Comment 1 Clyde E. Kunkel 2006-01-19 15:22:46 EST
My e1000 does not work with .1861.  Dropping back to .1860, all is well.  Saw
following in messages log, don't know if pertinent:

Jan 19 13:51:03 P4C800ED kernel: Last user:
[<f8e404c4>](e1000_clean_tx_irq+0xcc/0x271 [e1000])
Jan 19 13:51:03 P4C800ED kernel: Last user:
[<f8e3eb12>](e1000_clean_rx_ring+0x4c/0x186 [e1000])
Jan 19 13:51:04 P4C800ED kernel: Last user:
[<f8e3eb12>](e1000_clean_rx_ring+0x4c/0x186 [e1000])
Comment 2 David Miller 2006-01-19 18:35:57 EST
Intel merged a very broken set of updates to the e1000 driver which
broke the driver for every e1000 user on the planet.

Jeff Garzik has a set of fixes from them, but they haven't made it upstream
yet.
Comment 3 Jason Vas Dias 2006-01-20 13:24:53 EST
All seems to work OK with e1000 driver in kernel-2.6.15-1.1863_FC5+. Thanks!

Note You need to log in before you can comment on or make changes to this bug.